'use strict';

module.exports = (sequelize, DataTypes, Model) => {
  class AuthToken extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
    }

    check(){
      // check expires_on date
      return this.is_valid;
    }
  }
  AuthToken.init({
    token:{
      type: DataTypes.UUID,
      defaultValue: DataTypes.UUIDV4,
      allowNull: false,
      primaryKey: true
    },
    expires_on: {
      type: DataTypes.DATE,
      allowNull: true,
      validate:{
        isDate:true
      }
    },
    username: {
      type: DataTypes.STRING,
      ldapModel: 'User',
      allowNull: false,
      validate:{
        notNull: true,
      },
    },
    is_valid: {
      type: DataTypes.BOOLEAN,
      defaultValue: true
    }
  }, {
    sequelize,
    modelName: 'AuthToken',
  });
  return AuthToken;
};
